﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace ImageViewer
{
    public partial class ImagePreview : UserControl
    {
        private MainForm _parent;

        /// <summary>
        /// Stored image's file name (fullpath)
        /// </summary>
        public string FileName
        {
            get { return _fileName; }
            set { _fileName = value; }
        }
        private string _fileName;

        public Image Image
        {
            get { return pbImage.Image; }
        }

        private int _imageIndex;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="fileName">Image's file path to load</param>
        public ImagePreview(MainForm parent, string fileName, int imageIndex)
        {
            InitializeComponent();

            _parent = parent;
            _fileName = fileName;
            _imageIndex = imageIndex;  
            LoadImage();
        }
        
        private void LoadImage()
        {
            try
            {
                pbImage.Load(_fileName);
                FileStream fs = new FileStream(_fileName, FileMode.Open);
                long size = fs.Length / (long)1024;
                fs.Close();
                lblName.Text = string.Format("{0} : {1}KB", Path.GetFileName(_fileName), size);

                FileInfo finfo = new FileInfo(_fileName);
                //string size = 
                string dateTime = finfo.CreationTime.ToString();
                string width = pbImage.Image.PhysicalDimension.Width.ToString();
                string height = pbImage.Image.PhysicalDimension.Height.ToString();
                lblInfo.Text = string.Format("{0}, {1}x{2}", new string[3] { dateTime, width, height });
            }
            catch (Exception ex)
            {
            }
        }

        private void pbImage_MouseDoubleClick(object sender, MouseEventArgs e)
        {
            ImageView frm = new ImageView(_parent, _fileName, pbImage.Image, lblName.Text + ", " + lblInfo.Text, _imageIndex);
            frm.ShowDialog();
            frm.Dispose();
        }


    }
}
