﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ImageViewer
{
    public partial class SlideShow : Form
    {
        private const int DELAY = 3500;

        private Image[] _images;
        private int _currentImage;

        public SlideShow(Image[] images)
        {
            InitializeComponent();

            _images = images;
            _currentImage = -1;

            Timer timerNext = new Timer();
            timerNext.Interval = DELAY;
            timerNext.Tick += new EventHandler(timerNext_Tick);
            timerNext.Start();
        }

        void timerNext_Tick(object sender, EventArgs e)
        {
            _currentImage++;
            if (_currentImage >= _images.Length)
            {
                this.Close();
            }
            else
                pbImage.Image = _images[_currentImage];
        }

        private void SlideShow_KeyDown(object sender, KeyEventArgs e)
        {
            this.Close();
        }
    }
}
