﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ImageViewer
{
    public class Core
    {
        public static readonly string[] IMAGE_EXTENSIONS = new string[2] { ".jpg", ".jpeg" };


        private FileManager _fileManager;


        /// <summary>
        /// Constructor
        /// </summary>
        public Core()
        {
            _fileManager = new FileManager();
        }


        /// <summary>
        /// Gets logical drives of PC
        /// </summary>
        /// <returns>Logical drives</returns>
        public string[] GetLogicalDrives()
        {
            return _fileManager.GetLogicalDrives();
        }

        /// <summary>
        /// Loads directories in specified path
        /// </summary>
        /// <param name="path">FullPath</param>
        /// <returns>Found Directories</returns>
        public string[] GetDirectoriesIn(string path)
        {
            return _fileManager.GetDirectoriesIn(path);
        }

        /// <summary>
        /// Gets images name in spec. directory
        /// </summary>
        /// <param name="directory">Directory(FullPath)</param>
        /// <returns>Image full paths</returns>
        public string[] GetImagesIn(string directory)
        {
            return _fileManager.GetImagesIn(directory);
        }
    }
}
