﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ImageViewer
{
    public class FileManager
    {
        /// <summary>
        /// Gets logical drives of PC
        /// </summary>
        /// <returns>Logical drives</returns>
        public string[] GetLogicalDrives()
        {
            return Environment.GetLogicalDrives();
        }

        /// <summary>
        /// Loads directories in specified path
        /// </summary>
        /// <param name="path">FullPath</param>
        /// <returns>Found Directories</returns>
        public string[] GetDirectoriesIn(string path)
        {
            try
            {
                DirectoryInfo dinfo = new DirectoryInfo(path);
                List<string> directories = new List<string>();
                foreach (DirectoryInfo di in dinfo.GetDirectories())
                {
                    directories.Add(di.Name);
                }
                return directories.ToArray();
            }
            catch (Exception ex)
            {
            }
            return null;
        }

        /// <summary>
        /// Gets images name in spec. directory
        /// </summary>
        /// <param name="directory">Directory(FullPath)</param>
        /// <returns>Image full paths</returns>
        public string[] GetImagesIn(string directory)
        {
            try
            {
                DirectoryInfo finfo = new DirectoryInfo(directory);
                List<string> images = new List<string>();
                foreach (FileInfo fi in finfo.GetFiles())
                {
                    if (Core.IMAGE_EXTENSIONS.Contains(fi.Extension))
                    {
                        images.Add(fi.FullName);
                    }
                }
                return images.ToArray();
            }
            catch (Exception ex)
            {
            }
            return null;
        }
    }
}
